petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscClipInterval

Returns a number clipped to be within an interval

### Synopsis

    #include <petscmath.h>
    type clip PetscClipInterval(type x,type a,type b)

Not Collective Many br

### Input Parameter

| x | - value to use if within interval (a,b) Many br
| a | - lower end of interval Many br
| b | - upper end of interval Many br

Notes: type can be integer or floating point value Many br

Many br

### See Also

PetscMin(), PetscMax(), PetscAbsInt(), PetscAbsReal(), PetscSqr()

Level:beginner
Location:include/petscmath.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex15.c.html